Bug 197784 - PCI BIOS bug message during boot with kernel 2.6.17-1.2145_FC5smp
PCI BIOS bug message during boot with kernel 2.6.17-1.2145_FC5smp
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-07-06 08:27 EDT by Mike Cohler
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.6.18-1.2849.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-21 11:24:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/var/log/messages starting near the boot with new kernel (31.23 KB, application/octet-stream)
2006-07-06 08:27 EDT, Mike Cohler
no flags Details

  None (edit)
Description Mike Cohler 2006-07-06 08:27:52 EDT
Description of problem:

Version-Release number of selected component (if applicable):2.6.17-1.2145_FC5smp

How reproducible:Always

Steps to Reproduce:
1. Re-boot machine
Actual results:Machine boots but at the start of the boot process a message
regarding a PCI BIOS bug and not using MMCONFIG which has not appeared for
previous kernels.
is seen on the screen.
This is also seen in the /var/log/messages file as
Jul  6 13:22:03 gestalt kernel: PCI: BIOS Bug: MCFG area is not E820-reserved
Jul  6 13:22:03 gestalt kernel: PCI: Not using MMCONFIG.

Expected results:There should not be a bug message at  the start of the boot

Additional info:This message was not seen with the previous 2.6.17 kernel on
this machine. This is a Dell 5150 with Intel Core Duo processor
Comment 1 Mike Cohler 2006-07-06 08:27:52 EDT
Created attachment 131994 [details]
/var/log/messages starting near the boot with new kernel
Comment 2 Michel van der Breggen 2006-07-07 09:57:31 EDT
Same message had been seen on a Asus P5DL2 mainboard with Intel Dual Core 2.8 
processor, except that the machine doesn't boot at all after the message that 
it has loaded the kernel.
Comment 3 david peixotto 2006-08-15 22:04:44 EDT
I am also seeing the same problem on an Asus P5AD2 after updating to kernel
2.6.17-1.2174_FC5. Was working fine under default FC5 kernel 2.6.15-1.2054_FC5.
Comment 4 Dave Jones 2006-10-16 20:45:05 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Mike Cohler 2006-11-21 11:22:53 EST
This machine is now running FC6 and with all updates current I no longer have
this bug. Relevant /var/log/messages lines are:
Nov 21 10:42:10 gestalt kernel: ACPI: bus type pci registered
Nov 21 10:42:10 gestalt kernel: PCI: Using MMCONFIG
Nov 21 10:42:10 gestalt kernel: Setting up standard PCI resources
Nov 21 10:42:10 gestalt kernel: ACPI: Interpreter enabled
Nov 21 10:42:10 gestalt kernel: ACPI: Using IOAPIC for interrupt routing

So this BZ can be closed.

Note You need to log in before you can comment on or make changes to this bug.